#ifndef _TOKENIZER_H_
#define _TOKENIZER_H_

// uncomment the line below to get extra printfs for debugging purposes
//#define DEBUG_MODE

// the following constant defines the maximum number of tokens we can identify
// in a given string 
#define MAX_NB_TOKENS 255

void 	tokenize(char** tokens, int maxnbtokens, char * str, int length); 
char** 	tokens_allocate(int maxnbtokens); 
void 	tokens_display(char** tokens, int maxnbtokens); 
void 	tokens_deallocate(char** tokens, int maxnbtokens);

#endif
